abaqus python终止,Abaqus/Python抑制警告

下面是abaqus/python的一个最小示例,它创建一个长方体和分区from abaqus import *

from abaqusConstants import *

import __main__

model=mdb.models['Model-1']

# Sketch

s = model.ConstrainedSketch(name='__profile__', sheetSize=10.0)

s.setPrimaryObject(option=STANDALONE)

s.rectangle(point1=(0.0, 0.0), point2=(5.0, 5.0))

# Part

p = model.Part(name='Part-1', dimensionality=THREE_D, type=DEFORMABLE_BODY)

p.BaseSolidExtrude(sketch=s, depth=0.1)

s.unsetPrimaryObject()

session.viewports['Viewport: 1'].setValues(displayedObject=p)

del model.sketches['__profile__']

# Partition

c = p.cells

pickedCells = c.findAt(((0., 0., 0.), ))

e = p.edges

p.PartitionCellByPlanePointNormal(normal=e.findAt(coordinates=(2.5, 0.0,

0.0)), cells=pickedCells, point=p.InterestingPoint(edge=e.findAt(

coordinates=(2.5, 0.0, 0.0)), rule=MIDDLE))

p.PartitionCellByPlanePointNormal(normal=e.findAt(coordinates=(0.0, 2.5,

0.0)), cells=pickedCells, point=p.InterestingPoint(edge=e.findAt(

coordinates=(0.0, 2.5, 0.0)), rule=MIDDLE))

执行此操作时,每个分区都会出现以下警告:Warning: The given edge indicative point is at the center of the edge.

The implied edge sense will be ambiguous for some feature operations.

如何抑制此警告或只让它出现一次?都不是

^{pr2}$

有用,也没有warnings.filterwarnings('ignore')

  • 0
    点赞
  • 0
    收藏
    觉得还不错? 一键收藏
  • 0
    评论

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
评论
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值